Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.http
Class HttpConfigurableEntity

    java.lang.Object
      |
      +--com.bea.p13n.http.HttpConfigurableEntity

Direct Known Subclasses:
  Request, Session

public abstract class HttpConfigurableEntity
extends java.lang.Object
implements ConfigurableEntity

A default implementation for Http Request and Http Session objects mimick a ConfigurableEntity. This does not extend the new AbstractConfigurableEntity becuase it is not really storing values based on property sets, just implementing this interface to provide easy access to request and session attributes.

Field Summary
`protected static java.lang.String` | `PROPERTY_SET_MANAGER` ejb-ref for property set manager

Constructor Summary
`HttpConfigurableEntity()`

Method Summary
`java.lang.String` | `getJndiName()` This method is not supported.
`java.lang.String` | `getPkString()` This method is not supported.
`abstract java.lang.Object` | `getProperty(java.lang.String propertySet, java.lang.String propertyName)` Mimics the two argument `getProperty` method on the new `com.bea.p13n.property.ConfigurableEntity` interface.
`java.lang.Object` | `getProperty(java.lang.String propertySet, java.lang.String propertyName, java.lang.Object defaultValue)` Provided as convenience method so client code can still provide a default value
`java.lang.String` | `getPropertyAsString(java.lang.String aString, java.lang.String aString2)` This method is not supported.
`protected java.lang.Object` | `getPropertyDefault(java.lang.String propertySetType, java.lang.String propertySet, java.lang.String propertyName)` Retrieve the default value from the Schema for the named key and the specified scope.
`java.lang.Object` | `getPropertyNoDefault(java.lang.String scopeName, java.lang.String key)` This method is not supported.
`long` | `getUniqueId()` This method is not supported.
`java.lang.Object` | `removeProperty(java.lang.String aString, java.lang.String aString2)` This method is not supported.
`void` | `setProperty(java.lang.String aString, java.lang.String aString2, java.lang.Object anObject)` This method is not supported.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTY_SET_MANAGER

    protected static final java.lang.String PROPERTY_SET_MANAGER

  ejb-ref for property set manager

Constructor Detail

### HttpConfigurableEntity

    public HttpConfigurableEntity()

Method Detail

### getProperty

    public abstract java.lang.Object getProperty(java.lang.String propertySet,
                                                 java.lang.String propertyName)

  Mimics the two argument `getProperty` method on the new `com.bea.p13n.property.ConfigurableEntity` interface.
  Specified by:
    getProperty in interface ConfigurableEntity

  Parameters:
    `propertySet` - The name of the property set to look in
    `propertyName` - The name of the property to retrieve.
  Returns:
    the value for this property, or null if all searches failed

### getProperty

    public java.lang.Object getProperty(java.lang.String propertySet,
                                        java.lang.String propertyName,
                                        java.lang.Object defaultValue)

  Provided as convenience method so client code can still provide a default value

### getPropertyDefault

    protected java.lang.Object getPropertyDefault(java.lang.String propertySetType,
                                                  java.lang.String propertySet,
                                                  java.lang.String propertyName)

  Retrieve the default value from the Schema for the named key and the specified scope. This version will swallow any exceptions and return null if there is a problem looking up the property set manager.

  Parameters:
    `propertySet` - the property set to look in
    `propertyName` - the name of the property
  Returns:
    the default value of the property, or null if it was not defined

### getPropertyAsString

    public java.lang.String getPropertyAsString(java.lang.String aString,
                                                java.lang.String aString2)
                                         throws java.lang.UnsupportedOperationException

  This method is not supported.
  Specified by:
    getPropertyAsString in interface ConfigurableEntity

### getPropertyNoDefault

    public java.lang.Object getPropertyNoDefault(java.lang.String scopeName,
                                                 java.lang.String key)
                                          throws java.lang.UnsupportedOperationException

  This method is not supported.
  Specified by:
    getPropertyNoDefault in interface ConfigurableEntity

### setProperty

    public void setProperty(java.lang.String aString,
                            java.lang.String aString2,
                            java.lang.Object anObject)
                     throws java.lang.UnsupportedOperationException

  This method is not supported.
  Specified by:
    setProperty in interface ConfigurableEntity

### removeProperty

    public java.lang.Object removeProperty(java.lang.String aString,
                                           java.lang.String aString2)
                                    throws java.lang.UnsupportedOperationException

  This method is not supported.
  Specified by:
    removeProperty in interface ConfigurableEntity

### getUniqueId

    public long getUniqueId()
                     throws java.lang.UnsupportedOperationException

  This method is not supported.
  Specified by:
    getUniqueId in interface ConfigurableEntity

### getPkString

    public final java.lang.String getPkString()
                                       throws java.lang.UnsupportedOperationException

  This method is not supported.
  Specified by:
    getPkString in interface ConfigurableEntity

### getJndiName

    public java.lang.String getJndiName()
                                 throws java.lang.UnsupportedOperationException

  This method is not supported.
  Specified by:
    getJndiName in interface ConfigurableEntity

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved